Subject: Re: cygwin started speaking German today
From: Bruno Haible <[email-masked]>
To: Andy Koppe <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 8 Sep 2011 23:58:58 +0200
List-Id: <cygwin.cygwin.com>

Andy Koppe wrote:
> Cygwin isn't Windows; it's a POSIX environment on top of Windows.
> Taking the Regional Settings control panel into account might well
> make sense, but it ought to be left to the Cygwin developers to decide
> on this and implement it centrally.

And it is the duty of the gettext package to provide an optimal
internationalization experience to end users for packages that use
libintl.

> Cygwin developers decided that the system
> default locale in case neither the relevant LC_* nor LANG are set
> should also be "C.UTF-8".

It's better for the end user if the POSIX default locale depends on
the "Regional settings" panel. I regret that I have not been present
at that discussion and that I had not understood the relation between
setlocale (LC_ALL, "") and the "Regional settings" panel at that time.

Bruno
-- 
In memoriam Elisabeth von Thadden <http://en.wikipedia.org/wiki/Elisabeth_von_Thadden>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple